Get 30% Discount on Business Pack Order here Click Here
Pasang ap click on the icon in the top right of the address bar.

Insiden

GET https://uptimer24.com/api/incidents/
curl --request GET \
--url 'https://uptimer24.com/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Butiran Penerangan
search Pilihan Rentetan Rentetan carian.
search_by Pilihan Rentetan Apakah bidang yang anda cari. Nilai yang dibenarkan adalah: comment.
datetime_field Pilihan Rentetan Nilai yang dibenarkan: start_datetime, end_datetime, last_failed_check_datetime
datetime_start Pilihan Rentetan Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Pilihan Rentetan Filter results up to this datetime. Y-m-d H:i:s format.
order_by Pilihan Rentetan Medan apa untuk menyusun keputusan. Nilai yang dibenarkan adalah: incident_id, start_datetime, end_datetime, last_failed_check_datetime, failed_checks.
order_type Pilihan Rentetan Penentuan susunan keputusan. Nilai yang dibenarkan adalah: ASC untuk susunan menaik, dan DESC untuk susunan menurun.
page Pilihan Integer Nombor halaman yang anda mahu hasilkan. Lalai kepada 1.
results_per_page Pilihan Integer Berapa banyak hasil yang anda mahu setiap halaman. Nilai yang dibenarkan adalah: 10, 25, 50, 100, 250, 500, 1000. Lalai kepada 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "monitor_id": 0,
            "start_monitor_log_id": 0,
            "end_monitor_log_id": 0,
            "heartbeat_id": 13,
            "start_heartbeat_log_id": 264,
            "end_heartbeat_log_id": 0,
            "start_datetime": "2026-07-19 04:06:08",
            "end_datetime": null,
            "last_failed_check_datetime": null,
            "failed_checks": 5,
            "notification_handlers_ids": [1,2,3],
            "comment": null
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptimer24.com/api/incidents?page=1",
        "last": "https://uptimer24.com/api/incidents?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimer24.com/api/incidents?page=1"
    }
}
GET https://uptimer24.com/api/incidents/{incident_id}
curl --request GET \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "monitor_id": 0,
        "start_monitor_log_id": 0,
        "end_monitor_log_id": 0,
        "heartbeat_id": 13,
        "start_heartbeat_log_id": 264,
        "end_heartbeat_log_id": 0,
        "start_datetime": "2026-07-19 04:06:08",
        "end_datetime": null,
        "last_failed_check_datetime": null,
        "failed_checks": 5,
        "notification_handlers_ids": [1,2,3],
        "comment": null
    }
}
POST https://uptimer24.com/api/incidents/{incident_id}
Parameter Butiran Penerangan
comment Pilihan Rentetan -
curl --request POST \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptimer24.com/api/incidents/{incident_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \